Bug 844560 - monitor sanlock service or restart it when needed
monitor sanlock service or restart it when needed
Status: CLOSED INSUFFICIENT_DATA
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: Dan Kenigsberg
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 01:03 EDT by Royce Lv
Modified: 2016-02-10 11:33 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-17 01:16:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Royce Lv 2012-07-31 01:03:39 EDT
Description of problem:
when start vm, always failed to connect to the sanlock daemon, sometimes the sanlock service running but main function exited, sometimes the service dead.
have to mannually restart the service.
we need to monitor the service or restart it with supervdsm when startvm fails for this reason.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Federico Simoncelli 2012-07-31 07:33:34 EDT
(In reply to comment #0)
> Description of problem:
> when start vm, always failed to connect to the sanlock daemon, sometimes the
> sanlock service running but main function exited, sometimes the service dead.
> have to mannually restart the service.
> we need to monitor the service or restart it with supervdsm when startvm
> fails for this reason.

The description is fairly vague. It would be great if you could present a reproducible scenario, or at least fill few of the suggested sections (for example having the version of the components vdsm/libvirt/sanlock/etc and some logs would be extremely helpful):

> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Note You need to log in before you can comment on or make changes to this bug.